*** ./libMRML/include/uses-declarations.h.00	Thu Mar 24 01:18:16 2005
--- ./libMRML/include/uses-declarations.h	Mon Nov  5 09:31:21 2007
***************
*** 35,40 ****
--- 35,41 ----
  #ifndef _LIBMRML_USES_DECLARATIONS_
  #define _LIBMRML_USES_DECLARATIONS_
  
+ #include <iostream>
  using namespace std;
  
  #endif
*** ./libMRML/include/GIFTExceptions.h.00	Thu Mar 24 01:18:16 2005
--- ./libMRML/include/GIFTExceptions.h	Mon Nov  5 09:42:49 2007
***************
*** 24,33 ****
  */
  #ifndef _GIFTEXCEPTIONS
  #define _GIFTEXCEPTIONS
- using namespace std;
  
  #include <iostream>
  #include <fstream>
  
  /** A base class for exceptions thrown by GIFT 
  
--- 24,33 ----
  */
  #ifndef _GIFTEXCEPTIONS
  #define _GIFTEXCEPTIONS
  
  #include <iostream>
  #include <fstream>
+ using namespace std;
  
  /** A base class for exceptions thrown by GIFT 
  
*** ./configure.00	Thu Mar 24 00:20:18 2005
--- ./configure	Mon Nov  5 09:41:22 2007
***************
*** 5228,5238 ****
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! solaris*)
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
    case $host_vendor in
    motorola)
      lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
--- 5228,5238 ----
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv5* | solaris*)
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv4 | sysv4.2uw2* | sysv4.3*)
    case $host_vendor in
    motorola)
      lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
***************
*** 8028,8034 ****
        fi
        ;;
  
!     solaris* | sysv5*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs=no
  	cat <<EOF 1>&2
--- 8028,8034 ----
        fi
        ;;
  
!     solaris*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs=no
  	cat <<EOF 1>&2
***************
*** 8705,8733 ****
        runpath_var=LD_RUN_PATH
        ;;
  
!    sysv5OpenUNIX8* | sysv5UnixWare7* |  sysv5uw[78]* | unixware7*)
        no_undefined_flag='${wl}-z ${wl}text'
        if test "$GCC" = yes; then
  	archive_cmds='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
        else
  	archive_cmds='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
        fi
        runpath_var='LD_RUN_PATH'
        hardcode_shlibpath_var=no
        ;;
  
-     sysv5*)
-       no_undefined_flag=' -z text'
-       # $CC -shared without GNU ld will not create a library from C++
-       # object files and a static libstdc++, better avoid it by now
-       archive_cmds='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
-       archive_expsym_cmds='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
-   		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
-       hardcode_libdir_flag_spec=
-       hardcode_shlibpath_var=no
-       runpath_var='LD_RUN_PATH'
-       ;;
- 
      uts4*)
        archive_cmds='$LD -G -h $soname -o $lib $libobjs $deplibs $linker_flags'
        hardcode_libdir_flag_spec='-L$libdir'
--- 8705,8723 ----
        runpath_var=LD_RUN_PATH
        ;;
  
!    sysv5* | unixware7*)
        no_undefined_flag='${wl}-z ${wl}text'
        if test "$GCC" = yes; then
  	archive_cmds='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
+         archive_expsym_cmds='$CC -shared -Bexport:$export_symbols -h $soname -o $lib $libobjs $deplibs $compiler_flags'
        else
  	archive_cmds='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
+         archive_expsym_cmds='$CC -G -Bexport:$export_symbols -h $soname -o $lib $libobjs $deplibs $compiler_flags'
        fi
        runpath_var='LD_RUN_PATH'
        hardcode_shlibpath_var=no
        ;;
  
      uts4*)
        archive_cmds='$LD -G -h $soname -o $lib $libobjs $deplibs $linker_flags'
        hardcode_libdir_flag_spec='-L$libdir'
***************
*** 11942,11950 ****
  	;;
      esac
      ;;
!   sysv5OpenUNIX8* | sysv5UnixWare7* | sysv5uw[78]* | unixware7*)
!     archive_cmds_need_lc_CXX=no
!     ;;
    tandem*)
      case $cc_basename in
        NCC)
--- 11932,11951 ----
  	;;
      esac
      ;;
! 
!    sysv5* | unixware7*)
!       no_undefined_flag='${wl}-z ${wl}text'
!       if test "$GCC" = yes; then
! 	archive_cmds_CXX='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
!         archive_expsym_cmds_CXX='$CC -shared -Bexport:$export_symbols -h $soname -o $lib $libobjs $deplibs $compiler_flags'
!       else
! 	archive_cmds_CXX='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
!         archive_expsym_cmds_CXX='$CC -G -Bexport:$export_symbols -h $soname -o $lib $libobjs $deplibs $compiler_flags'
!       fi
!       runpath_var_CXX='LD_RUN_PATH'
!       hardcode_shlibpath_var_CXX=no
!       ;;
! 
    tandem*)
      case $cc_basename in
        NCC)
